Sub-resellers

Get a sub-reseller

GET
/v1/sub-resellers/{id}

Authorization

apiKey
headerAuthorizationBearer <token>

An API key from the Developers page. rhq_test_ keys reach the sandbox, rhq_live_ keys the live side.

Path Parameters

id*string

Response Body

Success

application/json
  1. response

Success

id*string
name*string
status*string
Value in"active""suspended"
priceListId*|

Unset, your default list prices this sub-reseller

wallet*
createdAt*string
Formatdate-time
curl -X GET "https://example.com/v1/sub-resellers/rsl_01K6XJ4Q8ZT3M9R5V2B7WDHNCA"
{  "id": "rsl_01K6XJ4Q8ZT3M9R5V2B7WDHNCA",  "name": "Sub Reseller Co",  "status": "active",  "priceListId": "prl_01K6XJ4Q8ZT3M9R5V2B7WDHNCA",  "wallet": {    "available": 8800,    "held": 0  },  "createdAt": "2026-10-07T11:04:31.000Z"}